Bug 245985 - Review Request: gerbv - Gerber file viewer from the gEDA toolkit
Review Request: gerbv - Gerber file viewer from the gEDA toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 221054 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 15:30 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 12:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-06-27 15:30:50 EDT
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/gerbv.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/gerbv-1.0.2-1.src.rpm
Description: 
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files
are generated from PCB CAD system and sent to PCB manufacturers
as basis for the manufacturing process. The standard supported
by gerbv is RS-274X.

gerbv also supports drill files. The format supported are known
under names as NC-drill or Excellon. The format is a bit undefined
and different EDA-vendors implement it different.
Comment 1 Chitlesh GOORAH 2007-06-27 15:32:28 EDT
*** Bug 221054 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2007-06-27 15:39:02 EDT
Example:
gerbv /usr/share/doc/gerbv-1.0.2/example/nollezappare/*

Please note that gerbv->File->Open Project
/usr/share/doc/gerbv-1.0.2/example/nollezappare/AssemblyTop.gdo
will simply not work because it is _not_ a project.

Hence AssemblyTop.gdo in this case is called a gerbv _file_, which till now 
ought to be opened via the console.

However gerbv /usr/share/doc/gerbv-1.0.2/example/nollezappare/*
than
File->Save Project (under whatever filename)
then you will be able to open the project.
Comment 3 Mamoru TASAKA 2007-06-28 04:04:47 EDT
Assigning
Comment 4 Mamoru TASAKA 2007-06-28 04:22:53 EDT
One comment:

* BuildRequires
  - Perhaps gdk-pixbuf-devel is not needed for BuildRequires.
    This is GTK 1 (not GTK 2).
    GTK 2 version of GdkPixBuf is in gtk2-devel.

----------------------------------------------------------
   This package (gerbv) is APPROVED by me.
----------------------------------------------------------
Comment 5 Chitlesh GOORAH 2007-06-28 06:41:30 EDT
I'll remove it from the package before uploading. Thanks for the quick review.
Comment 6 Chitlesh GOORAH 2007-06-28 06:45:00 EDT
New Package CVS Request
=======================
Package Name: gerbv
Short Description: Gerber file viewer from the gEDA toolkit
Owners: cgoorah@yahoo.com.au
Branches: FC-5 FC-6 F-7 devel

Since gerbv is another addon on the geda packages, I'll would like to have it 
on FC-5 official repositories directly rather than giving fc5 users one by one 
via email the rpm.
/me hopes it will be in time before FC5 is EOL tomorrow.
Comment 7 Kevin Fenzi 2007-06-28 15:50:54 EDT
Alas, we stopped doing FC-5 branches. ;( 
See: 
http://fedoraproject.org/wiki/ReleaseEngineering/Fedora5Shutdown

All other cvs done. 
Comment 8 Mamoru TASAKA 2007-07-03 11:54:25 EDT
Can you close this bug now?

Note You need to log in before you can comment on or make changes to this bug.